.tooltip-trigger {
    position: relative;
    display: inline-block;

    &:after {
        content: "";
        position: absolute;
        visibility: hidden;
        opacity: 0;
    }

    &.tooltip-trigger--south {
        &:after {
            @include triangle($tooltip-arrow-size, $tooltip-color-background, up);

            bottom: -1 * $tooltip-arrow-size;
            left: 50%;
            transform: translate(-50%, -50%);
        }

        .tooltip {
            top: 100%;
            transform: translate(-50%, 0);
            left: 50%;
            margin-top: $tooltip-arrow-size - 5;
            padding-bottom: 1.2rem;
        }
    }

    &.tooltip-trigger--west {
        &:after {
            @include triangle($tooltip-arrow-size, $tooltip-color-background, right);

            top: 50%;
            left: -1 * $tooltip-arrow-size;
            transform: translate(0, -50%);
        }

        .tooltip {
            right: 100%;
            transform: translate(-1 * $tooltip-arrow-size, -50%);
            top: 50%;
            padding-left: 1.2rem;
        }
    }

    &.tooltip-trigger--north {
        &:after {
            @include triangle($tooltip-arrow-size, $tooltip-color-background, down);

            top: -0.5 * $tooltip-arrow-size;
            left: 50%;
            transform: translate(-50%, -50%);
        }

        .tooltip {
            bottom: 100%;
            transform: translate(-50%, 0);
            left: 50%;
            margin-bottom: $tooltip-arrow-size - 5;
            padding-top: 1.2rem;
        }
    }

    .tooltip {
        background-color: $tooltip-color-background;
        color: $tooltip-color-text;
        font-family: $font-primary;
        position: absolute;
        line-height: 2.2rem;
        padding: 1.5rem 1.5rem;
        border-radius: 2px;
        z-index: 9999;
        visibility: hidden;
        opacity: 0;

        @include font-size-text-2;

        .text {
            max-width: 24rem;
            width: 24rem;
            width: -moz-max-content;
            width: -webkit-max-content;
            width: -o-max-content;
            text-align: left;

            p {
                margin: 0 0 1.8rem;
            }

            p:last-child {
                margin-bottom: 0;
            }
        }
    }

    &.show {
        .tooltip, &:after {
            @include respond-to(md) {
                visibility: visible;
                transition: opacity 0.2s ease-out;
                transition-delay: 0.2s;
                opacity: 1;
            }
        }
    }

    &.disabled {
        .tooltip, &:after {
            visibility: hidden;
        }
    }
}
